Subject: RE: ls

From: "Speier, Guy J - CNF" <[email-masked]>
Date: Thu, 23 Apr 1998 10:29:51 -0700

well, in addition to WS-ftp not working correctly, rftp does nto work
either (both
with regards to ls, ls -l , ls -al)

I have followed the recomendations of the faq, namely, I have rebuild
the GNU file utils
so that they are put into the chroot point (/home/ftp/./)
And have also moved solaris' ls (& it's libraries) and that doesn't work
either!!!!

Any advice?
> ----------
> From: 	Speier, Guy J - CNF[SMTP:[email-masked]]
> Reply To: 	[email-masked]
> Sent: 	Thursday, April 23, 1998 10:15 AM
> To: 	[email-masked]'
> Cc: 	WU-FTPD Discussion List
> Subject: 	RE: ls 
> 
> how can I diable wu-ftp's internal ls?  It looks like WS-ftp is doing
> a LIST, which seems to be getting translated into an ls or a dir (both
> of which, by the way, are in /home/ftp/./bin
>              
> 
> guy
> 
> > ----------
> > From: 	Gregory A Lundberg[SMTP:[email-masked]]
> > Reply To: 	[email-masked]
> > Sent: 	Thursday, April 23, 1998 7:27 AM
> > To: 	Speier, Guy J - CNF
> > Cc: 	WU-FTPD Discussion List
> > Subject: 	RE: ls 
> > 
> > On Wed, 22 Apr 1998, Speier, Guy J - CNF wrote:
> > 
> > > I think that this is a legitimate problem, and something that
> hasn't
> > > been touched in either the guest how-to or the faq!  Especially
> > since
> > > this is something that has been a problem (ie with command line
> > solaris)
> > > yet is currently working with that specific situation. 
> > 
> > > > The only tips I can point out are in the FAQ and guest howto.  I
> > don't
> > > > know of anyone that has turned up something that those resources
> > > > haven't answered.  There are too many details across too many
> > > > operating systems to give canned answers on this one.
> > 
> > > > > Across the bottom of the screen displays /bin/ls (the correct
> > chroot
> > > > > environment),
> > > > > but it does NOT work!  /bin/ls DOES work for command line &
> > browser!
> > 
> > The server has a built-in 'ls' command which runs if there are no
> > command-line arguments.  Are you using arguments (say, 'ls -al')
> when
> > you
> > try it by-hand?  If not, is the ws-ftp client using arguments?  If
> > this
> > is the case, your answer is in the FAQ.  If it's not the case, your
> > answer
> > is probably there too.
> > 
> > If you've become convinced the problem is not covered in the FAQ,
> > you'll
> > need to provide quite a bit more detail than 'this client doesn't
> > work.'
> > 
> > The location of the latest version of wu-ftpd can be found in the 
> > directory
> >  
> >       ftp://ftp.academ.com/pub/wu-ftpd/private/
> >  
> > You can't see the directory contents, so read the message informing
> > you
> > of the actual filename to retrieve. It's there.
> >  
> > wu-ftpd Resource Center:  http://www.landfield.com/wu-ftpd/
> > wu-ftpd FAQ:
> > http://www.cetis.hvu.nl/~koos/wu-ftpd-faq.html
> > wu-ftpd list archive:
> > http://www.landfield.com/wu-ftpd/mail-archive/
> > 
> > ----
> > 
> > Gregory A Lundberg		Senior Partner, VRnet Company
> > 1441 Elmdale Drive              email: [email-masked]
> [205.133.13.8]
> > Kettering, OH 45409-1615 USA    voice: +1 (937) 299-7653
> > 
>